Package org.apache.avro

# Class SchemaBuilder.RecordBuilder<R>

java.lang.Object
org.apache.avro.SchemaBuilder.PropBuilder<SchemaBuilder.RecordBuilder<R>>
org.apache.avro.SchemaBuilder.NamedBuilder<SchemaBuilder.RecordBuilder<R>>
org.apache.avro.SchemaBuilder.NamespacedBuilder<R,SchemaBuilder.RecordBuilder<R>>
org.apache.avro.SchemaBuilder.RecordBuilder<R>

Enclosing class:
  `SchemaBuilder`

public static final class SchemaBuilder.RecordBuilder<R> extends SchemaBuilder.NamespacedBuilder<R,SchemaBuilder.RecordBuilder<R>>

## Method Summary

Modifier and Type
Method
Description
`SchemaBuilder.FieldAssembler<R>`
`fields()`
`protected SchemaBuilder.RecordBuilder<R>`
`self()`
a self-type for chaining builder subclasses.

### Methods inherited from class org.apache.avro.SchemaBuilder.NamespacedBuilder

`namespace`

### Methods inherited from class org.apache.avro.SchemaBuilder.NamedBuilder

`aliases, doc`

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### self

protected SchemaBuilder.RecordBuilder<R> self()
Description copied from class: `SchemaBuilder.PropBuilder`
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'

Specified by:
  `self` in class `SchemaBuilder.PropBuilder<SchemaBuilder.RecordBuilder<R>>`

### fields

public SchemaBuilder.FieldAssembler<R> fields()